Redmine - Defect #10991

My page > Spent time 'project’ column is html-encoded
2012-05-22 11:40 - Alan Liu

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: My page Estimated time: 0.00 hour
Target version: 2.01

Resolution: Fixed Affected version: 2.0.0
Description

We saw some thing like

<a href="/issues/1298" class="issue status-1 priority-2 created-by-me">my issue #1298</a>
in the project column.

The env. is

Redmine 2.0.0

ruby 1.8.7

rails 3.2.3
MySQL 5.5

Associated revisions

Revision 9709 - 2012-05-25 18:34 - Jean-Philippe Lang

Fixed that the issue link is escaped on my page spent time (#10991).

History

#1 - 2012-05-22 11:50 - Etienne Massip
- Status changed from New to Confirmed

- Target version set to 2.0.1

Confirmed by reading code, no #html|_safe in source:/branches/2.0-stable/app/helpers/application_helper.rb#L.74.

#2 - 2012-05-22 11:50 - Etienne Massip
- Category set to My page

#3 - 2012-05-24 12:11 - Sirk Johannsen
- File redmine-error-1.png added

- File redmine-error-2.png added

We have the same issue with a fresh install on the "My Page" tab as described above:
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.0-stable/app/helpers/application_helper.rb#L74

redmine-error-1.png
As well as on our upgraded Version (1.3 -> 2.0). Additionally we have a HTML-Code Issue on the "observer" / "watcher" part of an issue in the
upgraded instance:
redmine-error-2.png

#4 - 2012-05-25 18:35 - Jean-Philippe Lang
- Status changed from Confirmed to Resolved

- Resolution set to Fixed
We have the same issue with a fresh install on the "My Page" tab as described above

Fixed in r9709.

As well as on our upgraded Version (1.3 -> 2.0). Additionally we have a HTML-Code Issue on the "observer" / "watcher" part of an issue in the
upgraded instance:

Already fixed (#10932).

#5 - 2012-05-26 11:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

redmine-error-1.png 38.4 KB 2012-05-24 Sirk Johannsen
redmine-error-2.png 144 KB 2012-05-24 Sirk Johannsen
